ChiliProject - Feature # 757: permissions per project

Status: Closed Priority: Normal
Author: eyal R Category:
Created: 2011-12-07 Assignee:
Updated: 2011-12-07 Due date:

Remote issue URL:

Affected version:

Description: Maybe I'm missing something but when setting permissions | can't set different setting for the same role in
another project:
for example , | want that in project "A" a developer can set issues public or private but in project "B" he can't.
Do | have to create a new role for this scenario?

It will be very helpful if it could be implemented.

Associated revisions

2008-03-05 01:54 pm - Jean-Philippe Lang

Trac importer: support database schema for Trac migration (#757 by John Goerzen).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1195 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2011-12-07 12:53 pm - Holger Just
- Status changed from Open to Closed

Yes, you need to create a new role for that. Each role defines a set of granted permissions that can be applied to a project membership. If you want

different sets of permissions, you need to create different roles. This is how role based access control (RBAC) works everywhere.

Note that a single user can have multiple roles in a project. The resulting permission sets are added. You can also have an arbitrary number of roles
defined in your ChiliProject. Now roles can be created from the Administration -> Roles and Permissions screen.

2011-12-07 12:57 pm - eyal R

Thanks for the detailed answer
